summaryrefslogtreecommitdiffstats
path: root/development/slibtool/slibtool.SlackBuild
diff options
context:
space:
mode:
author Hunter Sezen2018-06-24 02:56:02 +0200
committer Willy Sudiarto Raharjo2018-06-30 02:00:12 +0200
commit4655298ccb41167702465f37e69a52dda9a09198 (patch)
treef95f614798fdcbbb8a98546b2acf33b3996d1503 /development/slibtool/slibtool.SlackBuild
parent7ee68e989b2c83b8f22385a51167f4f086d31baf (diff)
downloadslackbuilds-4655298ccb41167702465f37e69a52dda9a09198.tar.gz
development/slibtool: Updated for version 0.5.20.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development/slibtool/slibtool.SlackBuild')
-rw-r--r--development/slibtool/slibtool.SlackBuild11
1 files changed, 8 insertions, 3 deletions
diff --git a/development/slibtool/slibtool.SlackBuild b/development/slibtool/slibtool.SlackBuild
index fa4e0c4139..8b023f429c 100644
--- a/development/slibtool/slibtool.SlackBuild
+++ b/development/slibtool/slibtool.SlackBuild
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=slibtool
-VERSION=${VERSION:-0.5.19}
+VERSION=${VERSION:-0.5.20}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -69,6 +69,9 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+[ "${DEBUG:=0}" != 0 ] && \
+ SLKCFLAGS="$(printf %s "$SLKCFLAGS" | sed 's/-O2/-O0 -g/')"
+
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
@@ -80,8 +83,10 @@ CFLAGS="$SLKCFLAGS" \
make
make install DESTDIR=$PKG
-find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+if [ "$DEBUG" = 0 ]; then
+ find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+fi
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a CONTRIB COPYING.SLIBTOOL NEWS README THANKS $PKG/usr/doc/$PRGNAM-$VERSION